package com.weaver.seconddev.meishi.esb.action;

import com.alibaba.fastjson.JSON;
import com.weaver.common.base.entity.result.WeaResult;
import com.weaver.esb.api.rpc.EsbServerlessRpcRemoteInterface;
import com.weaver.seconddev.meishi.esb.dao.PerformanceSubmitDao;
import com.weaver.seconddev.meishi.esb.util.PerformanceSubmitUtil;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import java.util.*;

@Service("Lamex_PerformanceSubmitCreateWorkflowActionV2")
public class PerformanceSubmitCreateWorkflowActionTest implements EsbServerlessRpcRemoteInterface {

    private final static Logger log = LoggerFactory.getLogger(PerformanceSubmitCreateWorkflowActionTest.class);

    @Autowired
    PerformanceSubmitUtil performanceSubmitUtil;

    @Autowired
    PerformanceSubmitDao performanceSubmitDao;

    @Override
    public WeaResult<Map<String, Object>> execute(Map<String, Object> params) {

        log.info("params: {}", JSON.toJSONString(params));
        params.put("extral", "123");
        return WeaResult.success(params);
    }


}
